Get webhook subscription matched event
Retrieve a specific webhook matched event for a subscription, including its payload, delivery state, attempt count, and latest delivery attempt details.
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.
Path Parameters
Unique identifier for the webhook subscription.
^[a-f0-9\-]{36}$Unique identifier for the webhook matched event.
^[a-f0-9\-]{36}$Response
Webhook matched event retrieved successfully.
Details of an event that matched a webhook subscription.
Unique identifier for the webhook event.
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Unique identifier for the webhook match.
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Unique identifier for the webhook subscription.
"123e4567-e89b-12d3-a456-426614174000"
The type of event that was delivered (e.g., "onchain.activity.detected").
"onchain.activity.detected"
Current state of the matched event.
retrying: The event is currently being retried. For when the next attempt will occur, seenextAttemptAt.abandoned: The event was abandoned. This means the subscription was disabled during the retry lifecycle.succeeded: The event was successfully delivered to thetargetURL.failed: The event delivery failed due to reaching the maximum number of retry attempts or other non-retryable failure such as a subscription misconfiguration.
retrying, abandoned, succeeded, failed "succeeded"
Timestamp when the underlying event was processed by the webhook system.
If an event is replayed, a new createdAt will be recorded at the time of replay.
"2025-01-15T10:30:00Z"
Timestamp when the underlying event actually occurred.
This is different from createdAt, which is the timestamp the event reached the webhook system and matched the subscription.
If an event is replayed, the occurredAt timestamp will remain the same.
"2025-01-15T10:29:58Z"
Number of delivery attempts so far.
Includes the initial attempt and all retry attempts.
1
Timestamp when the matched event was successfully delivered to the target URL. Only present if status is succeeded.
"2025-01-15T10:30:02Z"
The payload of the event.
Outcome and timing of a single webhook delivery attempt.
Timestamp when the matched event will be retried. Only supplied if the matched event's status is retrying.
"2025-01-15T10:30:02Z"